/* WP External Links Plugin */
/*global jQuery, window*/
(function () {
    'use strict';

    var $ = jQuery === undefined ? null : jQuery;

    // add event handler
    function addEvt(el, evt, fn) {
        if (el.attachEvent) {
            // IE method
            el.attachEvent('on' + evt, fn);
        } else if (el.addEventListener) {
            // Standard JS method
            el.addEventListener(evt, fn, false);
        }
    }

    // open external link
    function openExtLink(a, evt) {
        var target = a.getAttribute('data-wpel-target');
        var href = a.getAttribute('href');
        var win;

        if (href && target) {
            // open link in a new window
            win = window.open(href, target);
            win.focus();

            // prevent default event action
            if (evt) {
                if (evt.preventDefault) {
                    evt.preventDefault();
                } else if (typeof evt.returnValue !== 'undefined') {
                    evt.returnValue = false;
                }
            }
        }
    }

    if ($ && false) {
        // jQuery DOMready method
        $(function () {
            $('a').live('click', function (evt) {
                openExtLink(this, evt);
            });
        });
    } else {
        // use onload when jQuery not available
        addEvt(window, 'load', function () {
            var links = window.document.getElementsByTagName('a');
            var eventClick = function (evt) {
                openExtLink(evt.target, evt);
            };
            var a;
            var i;

            // check each <a> element
            for (i = 0; i < links.length; i += 1) {
                a = links[i];

                // click event for opening in a new window
                addEvt(a, 'click', eventClick);
            }
        });
    }

}());